﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bucherei
{
    internal class MedienCrudLoggingProxy : ICRUD
    {
        ICRUD MedienCrudAdapter = new MedienCrudAdapter();
        public int Create(object o)
        {
            Console.WriteLine("Logging: Ein neues Medium wird angelegt: "+o);
            return MedienCrudAdapter.Create(o);
        }
        public ArrayList Read(object o = null)
        {
            return MedienCrudAdapter.Read(o);
        }
        public int Update(object o)
        {
            Console.WriteLine("Logging: Update eines Mediums: " + o);
            return MedienCrudAdapter.Update(o);
        }
        public int Delete(object k)
        {
            Console.WriteLine("Logging: Löschen von Medium: " + k);
            return MedienCrudAdapter.Delete(k);
        }
    }
}
